GET https://api.d-tools.com/SI/Message/PublishedMessagesStatus?messageStatusIds[0]={messageStatusIds[0]}&messageStatusIds[1]={messageStatusIds[1]}&messageTypeIds[0]={messageTypeIds[0]}&messageTypeIds[1]={messageTypeIds[1]}&pageNumber={pageNumber}&pageSize={pageSize}
Get status of published messages.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| messageStatusIds |
Message status Id: Pending = 1, Imported = 2, Failed = 3 |
Collection of byte |
None. |
| messageTypeIds |
Message type Id: ProductCatalog = 1, Project = 11, UpdateProject = 12, NewProjectChangeOrderInfo = 13, UpdateClient = 21 |
Collection of byte |
None. |
| pageNumber |
Page Number |
integer |
Default value is 1 |
| pageSize |
Page Size |
integer |
Default value is 50 |
Body Parameters
None.
Response Information
Resource Description
MessageResponse| Name | Description | Type | Additional information |
|---|---|---|---|
| MessageStatuses | Collection of MessageStatus |
None. |
|
| TotalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"MessageStatuses": [
{
"Id": "51dcf9c4-4df0-4a96-9d44-4db9db64fae4",
"TypeId": 64,
"StatusId": 64,
"ImportedOn": "2026-06-18T01:26:54.0344085+00:00",
"ErrorMessage": "sample string 4"
},
{
"Id": "51dcf9c4-4df0-4a96-9d44-4db9db64fae4",
"TypeId": 64,
"StatusId": 64,
"ImportedOn": "2026-06-18T01:26:54.0344085+00:00",
"ErrorMessage": "sample string 4"
}
],
"TotalCount": 1
}